=== debian/changelog ===
qtbase-opensource-src (5.0.2+dfsg1-7ubuntu11.1) saucy-security; urgency=low

  * SECURITY UPDATE: [XML Entity Expansion Denial of Service] (LP: #1259577).
    - Add CVE-2013-4549-xml-expansion.diff
    - add limit in src/xml/sax/qxml.cpp
    - http://lists.qt-project.org/pipermail/announce/2013-December/000036.html
    - CVE-2013-4549

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Dec 2013 15:34:35 +0000

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu11) saucy; urgency=low

  * debian/patches/aarch64_fix_atomic_set.patch:
    Fix QBasicAtomicInt::testAndSetRelaxed and
    QBasicAtomicPointer<T>::testAndSetRelaxed to actually set the given value,
    rather than a pointer to that value on the local stack frame.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 23:38:28 +1100

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu10) saucy; urgency=low

  * debian/patches/fix_rowinserted.patch:
    - Fix a bug in QSortFilterProxyModel by picking a patch 
      from upstream (LP: #1234603)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 03 Oct 2013 12:58:40 +0300

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu9) saucy; urgency=low

  * debian/patches/bug1227629.patch:
    - Fix a bug of WM_CLASS not being set with X11 (LP: #1227629)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 20 Sep 2013 22:41:48 -0400

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu8) saucy; urgency=low

  * load_testability_from_env_var.patch:
    - Add a patch to support testability enablement also from 
      an environment variable (LP: #1210034)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 09 Aug 2013 07:22:18 +0300

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu7) saucy; urgency=low

  * Make qtbase5-dev and libqt5opengl5-dev Multi-Arch: same.
  * Remove perl dependency from qtbase5-dev-tools (temporarily).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2013 16:30:16 +0200

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu6) saucy; urgency=low

  * Remove perl:any as well from debian/rules

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Aug 2013 11:35:37 +0200

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu5) saucy; urgency=low

  * Fix invalid <binary>:any dependency schema in debian/control.
    It's stuck in proposed and making all dailies failing to build as
    we can't install qt5-qmake anymore.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Aug 2013 08:01:25 +0200

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu4) saucy; urgency=low

  * Make qtbase5-dev installable for a foreign architecture.
    LP: #1209239.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2013 15:58:43 +0200

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu3) saucy; urgency=low

  * Build for Aarch64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Aug 2013 14:13:43 +0200

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu2) saucy; urgency=low

  * debian/patches/fix_number_precision_qjsondocument.patch_8e8becdc.patch:
    - Cherry-pick from upstream (LP: #1181359)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Jun 2013 15:15:57 +0300

qtbase-opensource-src (5.0.2+dfsg1-7ubuntu1) saucy; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Remove firebird and ibase dependencies
    - Build-depend on libxkbcommon-dev
    - Maintainer fields and Vcs-Bzr
    - Provides: qt-default to qt5-default
    - Add patches:
      + make_QColor_understand_AARRGGBB.patch
      + add_since_52_to_new_QColor_features.patch
      + disable_overlay_scrollbars.diff
      + fix_maliit_activation.patch
      + 0001-Implement-XEmbed-protocol.patch
      + enable_appmenu_support.diff
      + inputmethod_fix_focusout.patch
    - Use our symbols files

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 27 Jun 2013 16:29:34 +0400

qtbase-opensource-src (5.0.2+dfsg1-7) experimental; urgency=low

  * Mark libgbm-dev as linux-any. Other OSs do not have it.
  * Add the qkms plugin to the armhf list of files to install.
  * Update symbols files.
  * From the armhf build log: "The -arch and -host-arch options are obsolete".
    Remove the relevant armv6 option from debian/rules.
  * Add a lintian override for libqt5xml5, which rightfully declares a
    dependency on qtbase-abi-5-0-2.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 00:01:03 -0300

qtbase-opensource-src (5.0.2+dfsg1-6) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make packages that ship a binary managed by qtchooser depend on it.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create a packages for qch and HTML doc formats.
    - Document how to bootstrap the packages in order to be able to build the
      documentation.
  * Update symbols files.
  * Add build dependencies to build support for:
    - ALSA.
    - PulseAudio.
    - OpenVG.
    - GStreamer.
  * Add libgbm-dev as Build-Dep, necessary for KMS support.
  * Apply Rename-qAbs-Function-for-timeval.patch taken from upstream to solve
    FTBFS with GCC 4.8.
  * Update Standards-Version to 3.9.4. No changes needed.
  * Make qtbase5-dbg M-A same.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Jun 2013 19:34:49 -0300

qtbase-opensource-src (5.0.2+dfsg1-5) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols files.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Also ship 5.conf. This makes calls to qtchooser prettier: qtchooser -qt5.
  * Add lintian overrides for packages that depend on the private API/ABI,
    it's totally correct for them to do so.

  [ Sune Vuorela ]
  * Prepare symbol files to track private symbols.
  * Make libqt5core5 provide a virtual package to track the non-public api/abi.
  * Create a script to mark symbols as private.
  * Mark private symbols as private.


