=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtbase-opensource-src-([^-]*)\.tar.xz
